#ifndef _PARTICLES_H_
#define _PARTICLES_H_
#include "vec.h"

//Single particle.
struct Particle {
    Vec pos;				//position
    Vec velocity;			//velocity
    Vec color;			//color
    float age;				//how long it's been alive
    float lifespan;			//how long it can live
};


class ParticleEngine {
public :
	int num_particles;
	float size;
	Particle particles[1500];
	float angle;

public :
	ParticleEngine() {
		num_particles = 1000;
		size = 6;
		for(int i = 0; i < num_particles; i++) {
            createParticle(particles + i);
        }

	}
	~ParticleEngine() {

	}
	void createParticle(Particle* p);
	void animate(float dt);
	void draw();

};

#endif